Build full installer via clean_build.sh (#157)

* OSX: Fix lack of newlines in build messages

* OSX: Build full installer as part of the installer build via cmake
This commit is contained in:
Povilas Kanapickas 2018-10-19 20:17:04 +03:00 committed by Adrian Lucrèce Céleste
parent ab887a4e90
commit b8fa610f8f
3 changed files with 16 additions and 6 deletions

View File

@ -388,6 +388,13 @@ if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
set (BARRIER_BUNDLE_BINARY_DIR ${BARRIER_BUNDLE_APP_DIR}/Contents/MacOS) set (BARRIER_BUNDLE_BINARY_DIR ${BARRIER_BUNDLE_APP_DIR}/Contents/MacOS)
configure_files (${BARRIER_BUNDLE_SOURCE_DIR} ${BARRIER_BUNDLE_DIR}) configure_files (${BARRIER_BUNDLE_SOURCE_DIR} ${BARRIER_BUNDLE_DIR})
if (CMAKE_BUILD_TYPE STREQUAL "Release")
add_custom_target(Barrier_dmg ALL
bash build_installer.sh
DEPENDS barrier barriers barrierc
WORKING_DIRECTORY ${BARRIER_BUNDLE_DIR})
endif()
endif() endif()
# #

View File

@ -41,7 +41,10 @@ cp @CMAKE_RUNTIME_OUTPUT_DIRECTORY@/* . || exit 1
# TODO: this is hacky and will probably break if there is more than one qt # TODO: this is hacky and will probably break if there is more than one qt
# version installed. need a better way to find this library # version installed. need a better way to find this library
B_COCOA=$(find /usr/local/Cellar/qt -type f -name libqcocoa.dylib | head -1) B_COCOA=$(find /usr/local/Cellar/qt -type f -name libqcocoa.dylib | head -1)
if [ $? -ne 0 ] || [ "x$B_COCOA" = "x" ]; then if [ "x$B_COCOA" = "x" ]; then
B_COCOA=$(find /opt/local/libexec/qt5/plugins -type f -name libqcocoa.dylib | head -1)
fi
if [ "x$B_COCOA" = "x" ]; then
echo "Could not find cocoa platform plugin" echo "Could not find cocoa platform plugin"
exit 1 exit 1
fi fi

View File

@ -2,13 +2,13 @@
if [ ! $BARRIER_BUILD_ENV ]; then if [ ! $BARRIER_BUILD_ENV ]; then
printf "Modifying environment for Barrier build..." printf "Modifying environment for Barrier build...\n"
if command -v port; then if command -v port; then
printf "Detected Macports" printf "Detected Macports\n"
if [ ! -d /opt/local/lib/cmake/Qt5 ]; then if [ ! -d /opt/local/lib/cmake/Qt5 ]; then
printf "Please install qt5-qtbase port" printf "Please install qt5-qtbase port\n"
fi fi
export BARRIER_BUILD_MACPORTS=1 export BARRIER_BUILD_MACPORTS=1
export CMAKE_PREFIX_PATH="/opt/local/lib/cmake/Qt5:$CMAKE_PREFIX_PATH" export CMAKE_PREFIX_PATH="/opt/local/lib/cmake/Qt5:$CMAKE_PREFIX_PATH"
@ -17,7 +17,7 @@ if [ ! $BARRIER_BUILD_ENV ]; then
export PKG_CONFIG_PATH="/opt/local/libexec/qt5/lib/pkgconfig:$PKG_CONFIG_PATH" export PKG_CONFIG_PATH="/opt/local/libexec/qt5/lib/pkgconfig:$PKG_CONFIG_PATH"
elif command -v brew; then elif command -v brew; then
printf "Detected Homebrew" printf "Detected Homebrew\n"
QT_PATH=$(brew --prefix qt) QT_PATH=$(brew --prefix qt)
OPENSSL_PATH=$(brew --prefix openssl) OPENSSL_PATH=$(brew --prefix openssl)
@ -28,7 +28,7 @@ if [ ! $BARRIER_BUILD_ENV ]; then
export PKG_CONFIG_PATH="$OPENSSL_PATH/lib/pkgconfig:$PKG_CONFIG_PATH" export PKG_CONFIG_PATH="$OPENSSL_PATH/lib/pkgconfig:$PKG_CONFIG_PATH"
else else
printf "Neither Homebrew nor Macports is installed. Can't get dependency paths" printf "Neither Homebrew nor Macports is installed. Can't get dependency paths\n"
exit 1 exit 1
fi fi